For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • HRIS Guides
    • Introduction
  • HRIS Common Use Cases
    • Sync Deel users to identity providers
  • SCIM API
    • Overview
  • HRIS Endpoints
      • POSTCreate a new HRIS Organization Structure.
      • DELDelete an Org Structure from the Organization by external ID
      • DELDelete Organization Structure
      • GETFetch an Org Structure from the Organization
      • GETGet Organization Structure
      • GETGet Organization Structure
      • GETRetrieve custom fields for organization
      • PATCHUpdate an existing HRIS Org Structure by external ID
      • PUTUpdate organization structure
      • PATCHUpdate Organization Structure
      • PATCHUpdate organization structure team custom fields
  • ATS Guides
    • Introduction
    • Getting started
    • Manage jobs
    • Manage candidates and applications
    • Webhooks
  • ATS Common Use Cases
    • From candidate to contract
  • ATS Endpoints
LogoLogo
SupportDeel Home
HRIS EndpointsOrganization Structure

Fetch an Org Structure from the Organization

GET
/hris/organization_structures/external/:external_id
GET
/rest/v2/hris/organization_structures/external/:external_id
$curl https://api.letsdeel.com/rest/v2/hris/organization_structures/external/rkkej3 \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json"
1{
2 "data": {
3 "id": "a3f47c9e-8b2d-4f6a-9c3e-1d2b5f7a9e4c",
4 "name": "Acme Corporation",
5 "type": "company",
6 "roles": [
7 {
8 "id": 1,
9 "name": "Administrator"
10 },
11 {
12 "id": 2,
13 "name": "Manager"
14 },
15 {
16 "id": 3,
17 "name": "Employee"
18 }
19 ],
20 "teams": [
21 {
22 "id": "team-001",
23 "name": "Engineering"
24 },
25 {
26 "id": "team-002",
27 "name": "Marketing"
28 }
29 ],
30 "external_id": "rkkej3",
31 "teams_count": 2,
32 "enable_roles": true,
33 "is_multiselect": true
34 }
35}

Fetches a single organization structure, returning associated roles and teams alongside structure metadata. Token scopes: organizations:read

Was this page helpful?
Previous

Get Organization Structure

Next
Built with

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

external_idstringRequired
External ID

Response

Successful operation
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication